MolPickler.h File Reference
`#include <RDGeneral/export.h>`
`#include <Geometry/point.h>`
`#include <GraphMol/Atom.h>`
`#include <GraphMol/QueryAtom.h>`
`#include <GraphMol/Bond.h>`
`#include <GraphMol/QueryBond.h>`
`#include <RDGeneral/StreamOps.h>`
`#include <boost/utility/binary.hpp>`
`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <exception>`
`#include <cstdint>`

Go to the source code of this file.

## Classes

class | RDKit::MolPicklerException
| used to indicate exceptions whilst pickling (serializing) molecules More...
class | RDKit::MolPickler
| handles pickling (serializing) molecules More...

## Namespaces

| RDKit
| Std stuff.
| RDKit::PicklerOps

## Enumerations

enum

RDKit::PicklerOps::PropertyPickleOptions {
RDKit::PicklerOps::NoProps = 0, RDKit::PicklerOps::MolProps = BOOST_BINARY(1), RDKit::PicklerOps::AtomProps = BOOST_BINARY(10), RDKit::PicklerOps::BondProps = BOOST_BINARY(100),
RDKit::PicklerOps::QueryAtomData, RDKit::PicklerOps::PrivateProps = BOOST_BINARY(10000), RDKit::PicklerOps::ComputedProps = BOOST_BINARY(100000), RDKit::PicklerOps::AllProps
}